## switchconf 0.0.2-9

=== Makefile ===
BINDIR=$(DESTDIR)/usr/sbin
ETCDIR=$(DESTDIR)/etc/switchconf
MANDIR=$(DESTDIR)/usr/share/man/man8
LOGROTATEDIR=$(DESTDIR)/etc/logrotate.d

all:

install:
	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
	cp switchconf.8 $(MANDIR)
	[ -d $(ETCDIR) ] || mkdir -p $(ETCDIR)
	[ -d $(ETCDIR)/before.d ] || mkdir -p $(ETCDIR)/before.d
	[ -d $(ETCDIR)/after.d ] || mkdir -p $(ETCDIR)/after.d
	[ -d $(LOGROTATEDIR)/ ] || mkdir -p $(LOGROTATEDIR)
	cp debian/logrotate $(LOGROTATEDIR)/switchconf
	cp conf $(ETCDIR)
	cp plugins.before/*.sh $(ETCDIR)/before.d/
	cp plugins.after/*.sh $(ETCDIR)/after.d/
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	cp switchconf $(BINDIR)

clean:
	find -name '*~' -exec rm {} \;

=== debian/changelog ===
switchconf (0.0.2-9) unstable; urgency=low

  * /etc/switchconf/lastcfg is system-generated and violates FHS -
    Moving to /var/lib/misc (thanks to David A. Riggs for pointing
    this out right away - I prepared the upload last night when it was
    time for me to be asleep :-/ )

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 30 May 2004 10:33:41 -0300

switchconf (0.0.2-8) unstable; urgency=low

  * Now creates a /etc/switchconf/lastcfg memory file (Closes: #251659)
  * Noted the right manual page in its header (8, was 1)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 30 May 2004 00:01:58 -0300

switchconf (0.0.2-7) unstable; urgency=low

  * Check for the existence of /etc/init.d/pcmcia before calling it
    (Closes: #224124)
  * Added a "Suggests: pcmcia-cs" in control

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 17 Dec 2003 21:32:04 -0600

switchconf (0.0.2-6) unstable; urgency=low

  * Further elaborated the description making it useful to discern when
    to use switchcnf from other similar programs (Closes: #209790)
  * Added some more explanation on the manual page

 -- Gunnar Wolf <gwolf@debian.org>  Sun,  2 Nov 2003 23:06:49 -0600

switchconf (0.0.2-5) unstable; urgency=low

  * New maintainer, Gunnar Wolf <gwolf@debian.org>
  * Fixes the description, was too short (Closes: #209790)
  * Bumped standards-version to 3.6.1

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 24 Oct 2003 16:00:16 -0500

switchconf (0.0.2-4) unstable; urgency=low

  * Moved to "admin" section (Closes: #178921)

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 29 Jan 2003 17:47:53 +0100

switchconf (0.0.2-3) unstable; urgency=low

  * Correct manpage lack (closes: #164728) 

 -- Sebastien J. Gross <sjg@debian.org>  Tue, 15 Oct 2002 13:57:55 +0200

switchconf (0.0.2-2) unstable; urgency=low

  * Typo in man page (closes: #162174) 

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 26 Sep 2002 11:28:55 +0200

switchconf (0.0.2-1) unstable; urgency=low

  * Add before and after plugins extentions

 -- Sebastien J. Gross <sjg@debian.org>  Mon, 22 Apr 2002 21:07:43 +0200

switchconf (0.0.1-1) unstable; urgency=low

  * Initial Release (closes: #143209)

 -- Sebastien J. Gross <sjg@debian.org>  Sun, 14 Apr 2002 21:55:24 +0200

=== debian/control ===
Source: switchconf
Section: admin 
Priority: optional
Maintainer: Gunnar Wolf <gwolf@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: switchconf
Architecture: all
Depends: ${shlibs:Depends}
Suggests: pcmcia-cs
Description: Change system configuration to one of many predefined
 Switchconf allows users to easily change their system's settings,
 choosing between the possible configurations for different
 environments. 
 .
 Most switchconf users are laptop owners who want to change their
 network settings according to where they currently are - but there
 are many cases for non mobile systems to desire to choose between
 configuration sets. 
 .
 Switchconf is a very simple script that takes its arguments from the
 command line. It allows you to maintain different sets of
 configurations, installing the desired set of configuration when
 called with its name as an argument, and execute a pre-specified set
 of commands before and after the switch.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3


build: build-stamp

build-stamp: 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/switchconf.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/switchconf


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## switchconf 0.0.4

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,15 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+PACKNAME=switchconf
+VER=0.0.4
 BINDIR=$(DESTDIR)/usr/sbin
-ETCDIR=$(DESTDIR)/etc/switchconf
+ETCDIR=$(DESTDIR)/etc/$(PACKNAME)
 MANDIR=$(DESTDIR)/usr/share/man/man8
 LOGROTATEDIR=$(DESTDIR)/etc/logrotate.d
 
 all:
+
 
 install:
 	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
@@ -21,3 +27,19 @@
 
 clean:
 	find -name '*~' -exec rm {} \; 
+
+# Create the files ready for distribution
+dist:
+	cd .. && tar --exclude='.svn' --exclude='debian' -czvf $(PACKNAME)_$(VER).orig.tar.gz $(PACKNAME)-$(VER)
+
+# Create the deb file
+deb:
+	debuild
+
+packages: deb
+
+# Upload the packages and the distribution files into the rigth places
+upload: packages
+	scp ../$(PACKNAME)*.deb root@ftp.tagus.ist.utl.pt:/var/www/debian/debian-tp/dists/unstable/main/
+
+.PHONY: build clean binary-indep binary-arch binary install configure

## switchconf 0.0.5.1

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKNAME=switchconf
VER=0.0.5.1
BINDIR=$(DESTDIR)/usr/sbin
ETCDIR=$(DESTDIR)/etc/$(PACKNAME)
MANDIR=$(DESTDIR)/usr/share/man/man8
LOGROTATEDIR=$(DESTDIR)/etc/logrotate.d

all:


configure:

build:

install:
	[ -d $(MANDIR) ] || mkdir -p $(MANDIR)
	cp $(PACKNAME).8 $(MANDIR)
	[ -d $(ETCDIR) ] || mkdir -p $(ETCDIR)
	[ -d $(ETCDIR)/before.d ] || mkdir -p $(ETCDIR)/before.d
	[ -d $(ETCDIR)/after.d ] || mkdir -p $(ETCDIR)/after.d
	[ -d $(LOGROTATEDIR)/ ] || mkdir -p $(LOGROTATEDIR)
	cp debian/logrotate $(LOGROTATEDIR)/$(PACKNAME)
	cp conf $(ETCDIR)
	cp plugins.before/* $(ETCDIR)/before.d/
	cp plugins.after/* $(ETCDIR)/after.d/
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	cp $(PACKNAME) $(BINDIR)

clean:
	find -name '*~' -exec rm {} \;
	rm -f config-stamp unpack-stamp install-stamp

# Create the files ready for distribution
dist:
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='*~' -czvf $(PACKNAME)_$(VER).orig.tar.gz $(PACKNAME)

# Create the deb file
deb:
	debuild -i

packages: deb

# Upload the packages and the distribution files into the rigth places
upload: packages
	scp ../$(PACKNAME)*.deb root@ftp.tagus.ist.utl.pt:/var/www/debian/debian-tp/dists/unstable/main/

.PHONY: build clean binary-indep binary-arch binary install configure

## switchconf 0.0.6

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

#TODO: this is not portable to non-Debian
PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | sed -ne 's,^Source: ,,p')
VER=2.74a.1
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=etch
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
BINDIR=/usr/sbin
ETCDIR=/etc/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d

all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)


configure:

build:

install:
	[ -d $(DESTDIR)/$(MANDIR) ] || mkdir -p $(DESTDIR)/$(MANDIR)
	cp $(PACKNAME).8 $(DESTDIR)/$(MANDIR)
	[ -d $(DESTDIR)/$(ETCDIR) ] || mkdir -p $(DESTDIR)/$(ETCDIR)
	[ -d $(DESTDIR)/$(ETCDIR)/before.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/before.d
	[ -d $(DESTDIR)/$(ETCDIR)/after.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/after.d
	[ -d $(DESTDIR)/$(LOGROTATEDIR)/ ] || mkdir -p $(DESTDIR)/$(LOGROTATEDIR)
	cp debian/logrotate $(DESTDIR)/$(LOGROTATEDIR)/$(PACKNAME)
	cp conf $(DESTDIR)/$(ETCDIR)
	cp plugins.before/* $(DESTDIR)/$(ETCDIR)/before.d/
	cp plugins.after/* $(DESTDIR)/$(ETCDIR)/after.d/
	[ -d $(DESTDIR)/$(BINDIR) ] || mkdir -p $(DESTDIR)/$(BINDIR)
	cp $(PACKNAME) $(DESTDIR)/$(BINDIR)

clean:
	find -name '*~' -exec rm {} \;
	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
dist:
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)-$(VER)

# Create the files ready for distribution
# Debian native package
#dist:
#	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(SOURCENAME)_$(DEBVER).tar.gz $(SOURCENAME)-$(VER)


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:
	scp ../*_$(DEBVER)*.deb root@debian.tagus.ist.utl.pt:/var/www/debian/debian/dists/$(MDIST)/$(DIST)/$(SECTION)/
	mkdir -p ~/debian/$(SECTION)/my_sources/$(SOURCENAME)
	mkdir -p ~/debian/$(SECTION)/debs/$(SOURCENAME)
	cp ../$(SOURCENAME)*_$(DEBVER).* ~/debian/$(SECTION)/my_sources/$(SOURCENAME)
	cp ../$(SOURCENAME)*_$(DEBVER)_*.build ~/debian/$(SECTION)/my_sources/$(SOURCENAME)
	cp ../$(SOURCENAME)*_$(DEBVER)_*.changes ~/debian/$(SECTION)/my_sources/$(SOURCENAME)
	cp ../*_$(DEBVER)_*.deb ~/debian/$(SECTION)/debs/$(SOURCENAME)
	#scp ../$(SOURCENAME)_$(DEBVER)*.deb root@ftp.tagus.ist.utl.pt:/var/www/debian/debian-tp/dists/unstable/main/
	# need to manually place the good package in the rigth distribution
	# until then, place debug versions inside experimental


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn st ; echo "enter to continue" ; read
	cd .. ; svn ci -m "released v$(DEBVER)"
	svn copy -m "released v$(DEBVER)" svn+ssh://picard.mine.nu/home/svn/trunk/src/$(SOURCENAME) svn+ssh://picard.mine.nu/home/svn/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)

.PHONY: build clean binary-indep binary-arch binary install configure

## switchconf 0.0.7

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,10 @@
 	[ -d $(DESTDIR)/$(BINDIR) ] || mkdir -p $(DESTDIR)/$(BINDIR)
 	cp $(PACKNAME) $(DESTDIR)/$(BINDIR)
 
+test:
+	./test1
+	./test2
+
 clean:
 	find -name '*~' -exec rm {} \;
 	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
@@ -47,7 +51,7 @@
 
 # Non-native package
 dist:
-	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)-$(VER)
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)
 
 # Create the files ready for distribution
 # Debian native package

## switchconf 0.0.9

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKNAME=switchconf
BINDIR=/usr/sbin
ETCDIR=/etc/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
INITDIR=/etc/init.d


all:
	echo $(PACKNAME)


configure:

build:

install:
	[ -d $(DESTDIR)/$(MANDIR) ] || mkdir -p $(DESTDIR)/$(MANDIR)
	cp $(PACKNAME).8 $(DESTDIR)/$(MANDIR)
	[ -d $(DESTDIR)/$(ETCDIR) ] || mkdir -p $(DESTDIR)/$(ETCDIR)
	[ -d $(DESTDIR)/$(ETCDIR)/before.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/before.d
	[ -d $(DESTDIR)/$(ETCDIR)/after.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/after.d
	[ -d $(DESTDIR)/$(LOGROTATEDIR)/ ] || mkdir -p $(DESTDIR)/$(LOGROTATEDIR)
	cp logrotate $(DESTDIR)/$(LOGROTATEDIR)/$(PACKNAME)
	cp conf $(DESTDIR)/$(ETCDIR)
	cp plugins.before/* $(DESTDIR)/$(ETCDIR)/before.d/
	cp plugins.after/* $(DESTDIR)/$(ETCDIR)/after.d/
	install -D init.d $(DESTDIR)/$(INITDIR)/$(PACKNAME)
	install -D $(PACKNAME) $(DESTDIR)/$(BINDIR)/$(PACKNAME)

test:
	./test1
	./test2

clean:
	find -name '*~' -exec rm {} \;
	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


.PHONY: build clean binary-indep binary-arch binary install configure

## switchconf 0.0.15

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,35 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PACKNAME=switchconf
+PACKNAME=$(shell dh_listpackages)
+SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
+DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
+VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
+ifeq ($(DEBVER),$(VER))
+NATIVE=1
+else
+NATIVE=0
+endif
+
 BINDIR=/usr/sbin
 ETCDIR=/etc/$(PACKNAME)
 MANDIR=/usr/share/man/man8
 LOGROTATEDIR=/etc/logrotate.d
 INITDIR=/etc/init.d
 
+ifeq ($(NATIVE),0)
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
+#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
+DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
+else
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
+DISTFILES=$(DISTFILE)
+endif
+
 
 all:
-	echo $(PACKNAME)
+	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
+	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
 configure:
@@ -39,5 +58,20 @@
 	find -name '*~' -exec rm {} \;
 	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
 
+# Experimental rule to build archive for public distribution
+# Non-native package
+dist-exp: clean
+ifeq ($(NATIVE),0)
+	# Non native package
+	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
+	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	cd .. && svn add $(DISTFILE)
+else
+	# native package
+	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	cd .. && svn add $(DISTFILE)
+endif
+
 
 .PHONY: build clean binary-indep binary-arch binary install configure

=== debian/changelog ===
switchconf (0.0.15-1) unstable; urgency=low

  * New upstream version:
    * Replace 'find -perm +1' by 'find -perm /1', thank you Andreas
      Metzler for the patch and the NMU,  (Closes: #803020).
  * Add systemd service file, thank you Felipe Sateler for reviewing it.
  * Bump standards-version to 3.9.6, no changes needed.
  * New maintainer email address.
  * Fix debian/copyright file.
  * Use debhelper mode 9.

 -- Jose M Calhariz <jose@calhariz.com>  Wed, 30 Dec 2015 14:36:18 +0000

switchconf (0.0.14-1) UNRELEASED; urgency=low

  * Force the use of bash, instead of a POSIX shell.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 24 Aug 2014 04:37:04 +0100

switchconf (0.0.13-2) UNRELEASED; urgency=low

  * Add Homepage field pointing to alioth page of the project

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 18:01:07 +0000

switchconf (0.0.13-1) wheezy; urgency=low

  * New upstream version:
    * Distribution tar is now compressed by xz
  * Change to source format 3.0 (quilt)

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 15:56:31 +0000

switchconf (0.0.12-1) wheezy; urgency=low

  * Fixed some typos on switchconf

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 15:39:09 +0000

switchconf (0.0.11-1) wheezy; urgency=low

  * New upstream version:
    * Makefile: add target dist-exp to build distribution files.
    * Add flag -f with the path to the configuration file.
  * Update debian/rules to version 0.24.
  * Update debian/control with new name and email address of Maintainer.
  * Update copyright.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 16 Feb 2014 18:04:22 +0000

switchconf (0.0.10-1) UNRELEASED; urgency=low

  * New upstream version:
    * Fix return code on error.
    * Use syslog system to report errors.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 16 Jan 2014 20:23:46 +0000

switchconf (0.0.9-2) unstable; urgency=low

  * Fix bashism in a private rule on debian/rules file (Closes: #581451).
  * Add remote_fs to dependency of init.d.
  * Bump standard version to 3.8.4, no changes needed.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 01 Jun 2010 20:52:38 +0100

switchconf (0.0.9-1) unstable; urgency=low
  
  * New upstream version:
    * Remove old version of files when using softlinks (Closes: #553427).
    * Use run-parts when available to run scripts (Closes: #563224).
    * Call scripts with the name of next configuration (Closes: #563223).
    * Locking system to prevent a second run before the first finish.
  
  * Updates to the package:
    * Minor updates to debian/rules.
    * Upgrade policy to 3.8.3, after the implementation of a locking system

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 13 Jan 2010 15:26:00 +0000

switchconf (0.0.8-1) updates; urgency=low

  * move code from Makefile into debian/rules so the Makefile is more
    portable for other Linux distributions than Debian

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 09 Sep 2007 00:51:19 +0100

switchconf (0.0.7-1) unstable; urgency=low

  * New upstream version:
  
    * fixed a bug that methods copy and hardlink didn't work when target
      file don't exist
  
    * implemented tests to check if switchconf really works

    * updated the copyright to give attribution of my work to my employer.
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 26 Jul 2007 00:06:25 +0100

switchconf (0.0.6-1) unstable; urgency=low

  * New upstream version: 
  
    * added new methods to change configuration files: copy, hardlinks
      (closes: #416094); Eric Lavarde
  
    * added init.d script to allow for boot time configuration switch
      using kernel options (closes: #416095); Eric Lavarde

  * Changes to the build process:
  
    * updated Makefile with better intelligence to detect package names
    * added support for multi-package sources
    * $(DESTDIR) variable should be use in Makefile target install

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 21 Jun 2007 12:50:25 +0100

switchconf (0.0.5.1-2) UNRELEASED; urgency=low

  * updated to Standards Version 3.7.2
  * use invoke-rc.d to start init.d scripts, if it exist
  * removing martin f. krafft from Uploaders
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri,  7 Jul 2006 23:02:50 +0100

switchconf (0.0.5.1-1) unstable; urgency=low

  * New upstream version, to fix an error handling orig.tar.gz

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 18 Dec 2005 23:52:52 +0000

switchconf (0.0.5-2) unstable; urgency=low

  * Updated to Standards Version 3.6.2
  * Updated the address of Free Software Foundation
  * DH_COMPAT is 4 and not 5 because I need to build this in sarge.
  * Removed unneeded comments from rules.
  * Removed dh_installcron and dh_installinfo because are not needed.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 12 Dec 2005 23:46:58 +0000

switchconf (0.0.5-1) unstable; urgency=low

  * New upstream version:
  * Abort execution when don't exist configuration file. Closes the bug report
    "switchconf: exit if the configuration is not found" (Closes #332916)
  * Sort the files in /etc/switchconf/{before,after}.d before execution
    (Closes #332918)
  * Corrected the args of find when listing configuration schemes. Closes
    the bug report "find: warning: you have specified the -maxdepth option
    ..." (Closes #332920)
  * rename plugins pcmcia to 20pcmcia, to make easy to control the order
    of running the plugins.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 11 Oct 2005 16:57:38 +0100

switchconf (0.0.4-1) unstable; urgency=low

  * New upstream version: updated docs and a more powerfull makefile, no
    new features.
  * Put myself as upstream.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 27 Apr 2005 00:35:46 +0100

switchconf (0.0.3-1) unstable; urgency=low

  * New upstream release.
  * Converted to non-native package



=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: switchconf
-Section: admin 
+Section: admin
 Priority: optional
-Maintainer: Gunnar Wolf <gwolf@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.1
+Maintainer: Jose M Calhariz <jose@calhariz.com>
+Build-Depends: debhelper (>> 9.0.0),
+               dh-systemd (>= 1.5),
+Standards-Version: 3.9.6
+Homepage: https://alioth.debian.org/projects/switchconf/
 
 Package: switchconf
 Architecture: all
-Depends: ${shlibs:Depends}
-Suggests: pcmcia-cs
-Description: Change system configuration to one of many predefined
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), liblockfile1,
+Description: switch between system configuration sets
  Switchconf allows users to easily change their system's settings,
  choosing between the possible configurations for different
  environments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

#This rule file have a bashism
SHELL:=/bin/bash

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# "based" on template Makefile for most debian packages version 0.7
# Personall Variables
PACKNAME=$(shell dh_listpackages)
PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.xz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
DISTFILES=$(DISTFILE)
endif

build-arch: build-arch-up-stamp
build-arch-up-stamp:
	touch $@


build-indep: build-indep-up-stamp
build-indep-up-stamp:
	touch $@


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples --exclude=.svn
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_systemd_enable
	dh_installinit --no-start --update-rcd-params="start 37 S ."
	dh_systemd_start
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary-arch: build install


binary: binary-indep binary-arch


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Upload the packages and the distribution files into the rigth places
upload: 
	make -f ../upload upload


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(CURDIR)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## switchconf 0.0.16

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)

BINDIR=/usr/sbin
ETCDIR=/etc/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
INITDIR=/etc/init.d
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


configure:

build:

install:
	[ -d $(DESTDIR)/$(MANDIR) ] || mkdir -p $(DESTDIR)/$(MANDIR)
	cp $(PACKNAME).8 $(DESTDIR)/$(MANDIR)
	[ -d $(DESTDIR)/$(ETCDIR) ] || mkdir -p $(DESTDIR)/$(ETCDIR)
	[ -d $(DESTDIR)/$(ETCDIR)/before.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/before.d
	[ -d $(DESTDIR)/$(ETCDIR)/after.d ] || mkdir -p $(DESTDIR)/$(ETCDIR)/after.d
	[ -d $(DESTDIR)/$(LOGROTATEDIR)/ ] || mkdir -p $(DESTDIR)/$(LOGROTATEDIR)
	cp logrotate $(DESTDIR)/$(LOGROTATEDIR)/$(PACKNAME)
	cp conf $(DESTDIR)/$(ETCDIR)
	cp plugins.before/* $(DESTDIR)/$(ETCDIR)/before.d/
	cp plugins.after/* $(DESTDIR)/$(ETCDIR)/after.d/
	install -D init.d $(DESTDIR)/$(INITDIR)/$(PACKNAME)
	install -D $(PACKNAME) $(DESTDIR)/$(BINDIR)/$(PACKNAME)

test:
	./test1
	./test2

clean:
	find -name '*~' -exec rm {} \;
	#rm -f configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp

#Set on target rules the policy for tags
tag-release:
	git tag release/$(VER)

tag-debian:
	git tag debian/$(DEBVER)

# Experimental rule to build archive for public distribution
dist: clean
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	git checkout release/$(VER) && cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' --exclude='.git' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)

deb:
	git checkout debian/$(DEBVER)
	debuild -uc -us
	fakeroot debian/rules clean

dev:
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' --exclude='.git' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
	debuild -uc -us
	fakeroot debian/rules clean
	mv -f ../$(DISTFILE) ../$(DISTFILE).dev


.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/changelog ===
switchconf (0.0.16-1) unstable; urgency=medium

  * alioth is dead, long live salsa:
  * Bump Standards-Version to 4.4.0, no changes were made.
  * Set homepage to my blog.
  * Define Vcs-* fields to the new repo on salsa.
  * Update Build-Depends.
  * Clean Makefile and debian/rules from svn commands and others things no
    longer needed for an individual git repo, instead of a mega private
    subversion repo with everything and the kitchen sink.
  * Create targets on Makefile for git tagging policy.
  * Create target on Makefile for development of switchconf and Debian
    packaging.
  * Update author and contact email for 2019.

 -- Jose M Calhariz <calhariz@debian.org>  Sat, 20 Jul 2019 21:43:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: switchconf
 Section: admin
 Priority: optional
-Maintainer: Jose M Calhariz <jose@calhariz.com>
-Build-Depends: debhelper (>> 9.0.0),
-               dh-systemd (>= 1.5),
-Standards-Version: 3.9.6
-Homepage: https://alioth.debian.org/projects/switchconf/
+Maintainer: Jose M Calhariz <calhariz@debian.org>
+Build-Depends: debhelper (>> 9.20160709),
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian/switchconf
+Vcs-Git: https://salsa.debian.org/debian/switchconf.git
+Homepage: http://blog.calhariz.com
+
 
 Package: switchconf
 Architecture: all

## switchconf 0.0.17

=== Makefile ===
--- 
+++ 
@@ -48,17 +48,24 @@
 
 #Set on target rules the policy for tags
 tag-release:
+	git diff
 	git tag release/$(VER)
 
 tag-debian:
+	git diff
 	git tag debian/$(DEBVER)
 
 # Experimental rule to build archive for public distribution
 dist: clean
 	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
+	git diff
+	sleep 30
 	git checkout release/$(VER) && cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' --exclude='.git' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	gpg --armor --detach-sign  ../switchconf_$(VER).orig.tar.xz
 
 deb:
+	git diff
+	sleep 30
 	git checkout debian/$(DEBVER)
 	debuild -uc -us
 	fakeroot debian/rules clean

=== debian/changelog ===
switchconf (0.0.17-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 22:18:00 +0200

switchconf (0.0.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:50:04 +0200

switchconf (0.0.17-1) unstable; urgency=medium

  * Define debian/watch file.
  * Bug fix: "Please make another source-only upload to allow testing
    migration", thanks to Boyuan Yang (Closes: #951608).
  * Sign the tar.xz file when generating the distribution file.

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 03 Mar 2020 21:27:06 +0000

=== debian/rules ===
--- 
+++ 
@@ -32,24 +32,15 @@
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
 DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
 VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
-ifeq ($(DEBVER),$(VER))
-NATIVE=1
-else
-NATIVE=0
-endif
 MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
 #CATEG=other_sources
-ifeq ($(NATIVE),0)
 DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.xz
-else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
-DISTFILES=$(DISTFILE)
-endif
+
 
 build-arch: build-arch-up-stamp
 build-arch-up-stamp:
@@ -146,31 +137,5 @@
 	make -f ../upload upload
 
 
-# Make tags of the sources as documented by subversion
-tag:
-	cd .. ; svn add $(DISTFILES) ;\
-		echo $(CURDIR)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
-			$(SOURCENAME)_$(DEBVER)_*.build \
-			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
-	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
-		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb
-	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
-		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb \
-		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i "New release"
-
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
